<?php
/*
Plugin Name: NBC LogonOnIndex
Version: 1.2.b
Description: Rajoute un cadre "Identification" sur votre page d'accueil, et le supprime du menu gauche.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=157
Author: Nicco
Author URI: http://gallery-nicco.no-ip.org
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('NBC_LOGONONINDEX_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');



global $conf;

// Vrification de la config, si pas bon -> reinstallation
if ((!isset($conf['nbc_logononindex'])) or (substr_count($conf['nbc_logononindex'] , ',') != 1))
{
	 $conf['nbc_logononindex'] = 'on,on,';

	 include_once(NBC_LOGONONINDEX_PATH.'/maintain.inc.php');

   plugin_install();
}



function var_template()
{
  global $user;
  
  if ($user['template'] == 'flop_pure_design')
  {
    $r = 'var_fpd.inc.php';   
  }
  else
  {
    $r = 'var.inc.php';   
  }
   
  return NBC_LOGONONINDEX_PATH.'/'.$r;
}



/* Suppression d'une partie du code dans un template */
/* Code compris entre la chaine $str_begin et $str_end */
function nbc_LogonOnIndex_remove_tpl_code($tlp_handle, $str_begin, $str_end)
{
  global $template;

  $template->loadfile($tlp_handle);
 
  $p_beg = strpos($template->uncompiled_code[$tlp_handle], $str_begin);
  $p_end = strpos($template->uncompiled_code[$tlp_handle], $str_end) + strlen($str_end);
  $s = substr($template->uncompiled_code[$tlp_handle], $p_beg, $p_end - $p_beg);
 
  $template->uncompiled_code[$tlp_handle] = 
    substr_replace($template->uncompiled_code[$tlp_handle], '', $p_beg, $p_end - $p_beg);
 
  return $s;
}



/* Ajout de code dans un template avant la chaine $insert_before */
function nbc_LogonOnIndex_add_before_tpl_code($tlp_handle, $insert_before, $code)
{
  global $template;
 
  $template->loadfile($tlp_handle);
  $template->uncompiled_code[$tlp_handle] = str_replace($insert_before, $code.$insert_before, $template->uncompiled_code[$tlp_handle]);
}



/* Set the administration panel of the plugin */
function plugin_admin_menu($menu)
{
  array_push($menu,
    array(
      'NAME' => 'LogonOnIndex',
      'URL' => get_admin_plugin_menu_link(NBC_LOGONONINDEX_PATH.'/admin/LogonOnIndex_admin.php')
    )
  );
    
  return $menu;
}


function nbc_LogonOnIndex_menu_identification()
{
  global $template, $conf, $user;
  
  $conf_nbc_logononindex = explode("," , $conf['nbc_logononindex']);

  include( var_template() );
  
	if ( ($conf_nbc_logononindex[0] == 'on') and ( $user['is_the_guest'] ) )
  {
    // Recupere et enleve le bout de code Identification
    $s = nbc_LogonOnIndex_remove_tpl_code('menubar', $begin_ident, $end_ident);
  }
  elseif ($conf_nbc_logononindex[1] == 'on')
  {
    // Recupere et enleve le bout de code Identification
    $s = nbc_LogonOnIndex_remove_tpl_code('menubar', $begin_ident, $end_ident);
 
    // Ajouter le bout de code Identification avant <!-- BEGIN links -->
    nbc_LogonOnIndex_add_before_tpl_code('menubar','<!-- BEGIN links -->',$s);
  }
}



function nbc_LogonOnIndex_add_css()
{
  global $page, $user, $template, $conf;

  $conf_nbc_logononindex = explode("," , $conf['nbc_logononindex']);

  if (isset($page['body_id']) and (!isset($page['category'])) and $user['is_the_guest'] )
  {
  	if ($conf_nbc_logononindex[0] == 'on')
    {
      $template -> assign_block_vars(
        'head_element', array (
          'CONTENT' => '<link rel="stylesheet" type="text/css" href="plugins/nbc_LogonOnIndex/nbc_LogonOnIndex.css">'
        )
      );
    
      if ($conf_nbc_logononindex[1] == 'on')
      {
        // Ajouter le bout de code {PLUGIN_INDEX_CONTENT_BEFORE} avant <div class="titrePage">
        nbc_LogonOnIndex_add_before_tpl_code('index','<div class="titrePage">','{PLUGIN_INDEX_CONTENT_BEFORE}');
      }
    }
  }
}



function nbc_LogonOnIndex()
{
  global $template, $conf, $page, $user;

  $conf_nbc_logononindex = explode("," , $conf['nbc_logononindex']);

  if (isset($page['body_id']) and $page['section'] == 'categories' and (!isset($page['category'])) and $user['is_the_guest'] )
  {
  	if ($conf_nbc_logononindex[0] == 'on')
    {
      include_once(NBC_LOGONONINDEX_PATH.'/nbc_LogonOnIndex.php');
    }
  }
}



add_event_handler('loc_begin_menubar', 'nbc_LogonOnIndex_menu_identification');
add_event_handler('loc_begin_page_header', 'nbc_LogonOnIndex_add_css');
add_event_handler('loc_end_index' , 'nbc_LogonOnIndex', 30);
add_event_handler('get_admin_plugin_menu_links','plugin_admin_menu');
set_plugin_data($plugin['id'], $obj);

?>
