<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $conf, $template; 

$conf_nbc_logononindex = explode("," , $conf['nbc_logononindex']);



//--------------------------------------------------------------------- include
include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_NONE);

//-------------------------------------------------------------- identification
$errors = array();

$redirect_to = '';
if ( !empty($_GET['redirect']) )
{
  $redirect_to = urldecode($_GET['redirect']);
  if ( $user['is_the_guest'] )
  {
    array_push($errors, $lang['access_forbiden']);
  }
}

if (isset($_POST['login']))
{
  $redirect_to = isset($_POST['redirect']) ? $_POST['redirect'] : '';
  $remember_me = isset($_POST['remember_me']) and $_POST['remember_me']==1;
  if ( try_log_user($_POST['username'], $_POST['password'], $remember_me) )
  {
    redirect(empty($redirect_to) ? make_index_url() : $redirect_to);
  }
  else
  {
    array_push( $errors, $lang['invalid_pwd'] );
  }
}

//----------------------------------------------------- template initialization
$template->set_filenames(array('nbc_LogonOnIndex' => NBC_LOGONONINDEX_PATH.'/nbc_LogonOnIndex.tpl'));

$template->assign_vars(
  array(
    'U_NBC_REGISTER' => PHPWG_ROOT_PATH.'register.php',
    'U_NBC_LOST_PASSWORD' => PHPWG_ROOT_PATH.'password.php',
    'U_NBCREDIRECT' => $redirect_to,

    'F_NBC_LOGIN_ACTION' => PHPWG_ROOT_PATH.'identification.php'
    ));

if ($conf['authorize_remembering'])
{
  $template->assign_block_vars('nbc_remember_me',array());
}
if ($conf['allow_user_registration'])
{
  $template->assign_block_vars('nbc_register',array());
}

//-------------------------------------------------------------- errors display
if ( sizeof( $errors ) != 0 )
{
  $template->assign_block_vars('errors',array());
  for ( $i = 0; $i < sizeof( $errors ); $i++ )
  {
    $template->assign_block_vars('errors.error',array('ERROR'=>$errors[$i]));
  }
}
//-------------------------------------------------------------- visit as guest
$template->assign_block_vars('free_access',array());




if ($conf_nbc_logononindex[1] == 'off')
{
  if (method_exists($template, 'concat_var_from_handle'))
  {
    $template->concat_var_from_handle('PLUGIN_INDEX_CONTENT_END', 'nbc_LogonOnIndex');
  }
  else
  {
    $template->concat_var('PLUGIN_INDEX_CONTENT_END', $template->parse('nbc_LogonOnIndex', true));
  }
}
else
{
  if (method_exists($template, 'concat_var_from_handle'))
  {
    $template->concat_var_from_handle('PLUGIN_INDEX_CONTENT_BEFORE', 'nbc_LogonOnIndex');
  }
  else
  {
    $template->concat_var('PLUGIN_INDEX_CONTENT_BEFORE', $template->parse('nbc_LogonOnIndex', true));
  }
}

?>
